-- Keymaps are automatically loaded on the VeryLazy event
-- Default keymaps that are always set: https://github.com/LazyVim/LazyVim/blob/main/lua/lazyvim/config/keymaps.lua
-- Add any additional keymaps here

-- vim.keymap.set("v", "<C-y>", vim.cmd("ToggleTerm"))
vim.keymap.set({ "n", "t" }, "<A-t>", "<cmd>ToggleTerm<cr>", { desc = "ToggleTerm" })

-- vim.api.nvim_create_autocmd("FileType", {
-- 	pattern = { "html", "javascriptreact", "typescriptreact" },
-- 	callback = function()
-- 		vim.keymap.set(
-- 			"i",
-- 			"<Tab>",
-- 			'emmet#expandAbbrIntelligent("\\<Tab>")',
-- 			{ expr = true, noremap = true, silent = true }
-- 		)
-- 	end,
-- })
